%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% -*- Mode: Latex -*- %%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% sem-dem.sty --- General utility macros for these Seminar demonstration files
%%
%% Author          : Denis GIROU (CNRS/IDRIS - France) <Denis.Girou@idris.fr>
%% Created the     : Sun Dec  9 21:49:38 2001
%% Last mod. by    : Denis GIROU (CNRS/IDRIS - France) <Denis.Girou@idris.fr>
%% Last mod. the   : Fri Apr  5 21:02:35 2002
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Identification of the file (constant parameters)
\def\FileAuthor{Tobias Nielsen}
\def\FileInfoA{CSE04}
\def\FileName{\jobname}

% Write identification in the PDF file (if one will be generated)
\newcommand{\HyperSetUp}{%
\hypersetup{pdftitle={\FileInfoA{} - \FileInfoB},
            pdfsubject={\FileName{}
                        [\FileDate{} - Version \FileVersion]},
            pdfauthor={\FileAuthor},
            pdfkeywords={\FileInfoB{} PSTricks Seminar slides}}}

% Header/footer initialization
\def\SeminarStandardHeaderFooterDemos{%
\date{\HLa{\FileDate}}%
\SeminarStandardHeaderFooter
  {\LARGE\HLe{Demonstration of \MakeLowercase{\FileInfoB}}}
  {\HLa{\FileInfoA{} -- \FileInfoB}}
  {\HLa{Version \FileVersion{} -- }}
  {\HLe{\FileAuthor}}}

% \SeminarStandardHeaderFooterDemos
\def\SeminarEksTitle{Eksamen i CSE04 - 2006}
% General first slide for all the demonstration files
\newcommand{\SeminarFirstSlide}{{%
\SeminarSlideFrameBackground{SeminarBackgroundSolid}
\begin{slide}
  \ifx\SeminarPaperVersion\AnswerYes
  \else
    \vspace*{\stretch{1}} % Due to the special annotation for full screen mode
  \fi

  \begin{center}
    \psframebox[fillstyle=solid,fillcolor=red,framearc=0.2]{%
      \Large\bfseries\color{yellow}
      \begin{tabular}{c}
        \SeminarEksTitle\\
        \setlength{\pst@dimg}{\widthof{\SeminarEksTitle}}%
        \setlength{\pst@dimh}{\widthof{\FileInfoB}}%
        \ifdim\pst@dimg>\pst@dimh
          \rule[1mm]{\pst@dimg}{0.6mm}\\
        \else
          \rule[1mm]{\pst@dimh}{0.6mm}\\
        \fi
        \FileInfoB
      \end{tabular}}

    \vspace{1cm}
    \psframebox[fillstyle=solid,fillcolor=LightBlue,
                framesep=0.2,framearc=0.4]{%
      \bfseries
      \begin{tabular}{c}
        \FileAuthor\\
        \FileDate
      \end{tabular}}

    \ifx\SeminarPaperVersion\AnswerYes
    \else
      \vspace{\stretch{1}}
      \hfill%
      \rput[br](0.2,0){%
        \psframebox[linewidth=0.02,framesep=0.05]{%
          \footnotesize\bfseries
          \shortstack[l]{%
            med Acrobat reader, \textcolor{red}{CTRL-L} skift\\[-1mm]
            imellem full screen window mode}}}
    \fi
  \end{center}
\end{slide}}}

% List of slides
\newcommand{\SeminarListOfSlides}{{%
% Background changing
\ifx\SeminarColorVersion\AnswerYes
  \renewcommand{\SeminarBackgroundGradientColorBegin}{PaleGreen}%
  \renewcommand{\SeminarBackgroundGradientColorEnd}{green}%
  \renewcommand{\SeminarBackgroundGradientAngle}{-90}%
  \SeminarSlideFrameBackground{SeminarBackgroundGradient}
\fi
\renewcommand{\slidestretch}{0.7}% We compress the lines
\begin{slide}
  \listofslides
\end{slide}}}

\endinput
